<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:ns1="http://xml.netbeans.org/schema/input" xmlns:ns="http://xml.netbeans.org/schema/output">
    <xsl:template match="/">
        <xsl:element name="ns:ticket">
            <xsl:element name="ns:passengerName">
                <xsl:value-of select="concat(/ns1:booking/ns1:firstname, &apos; &apos;, /ns1:booking/ns1:lastname)"/>
            </xsl:element>
            <xsl:element name="ns:source">
                <xsl:value-of select="/ns1:booking/ns1:source"/>
            </xsl:element>
            <xsl:element name="ns:destination">
                <xsl:value-of select="/ns1:booking/ns1:destination"/>
            </xsl:element>
            <xsl:element name="ns:dateTime">
                <xsl:value-of select="concat(/ns1:booking/ns1:date, &apos; &apos;, /ns1:booking/ns1:time)"/>
            </xsl:element>
            <xsl:element name="ns:duration">
                <xsl:value-of select="/ns1:booking/ns1:duration"/>
            </xsl:element>
            <xsl:element name="ns:price">
                <xsl:value-of select=" ( /ns1:booking/ns1:charge + /ns1:booking/ns1:tax ) "/>
            </xsl:element>
            <xsl:element name="ns:confirmed">
                <xsl:value-of select="&apos;Not Confirmed&apos;"/>
            </xsl:element>
            <xsl:if test="ns1:confirmed">
                <xsl:element name="ns:confirmed">
                    <xsl:value-of select="&apos;Confirmed&apos;"/>
                </xsl:element>
            </xsl:if>
            <!--<xsl:if test="!ns1:confirmed">
                <xsl:element name="ns:confirmed">
                    <xsl:value-of select="&apos;Confirmed&apos;"/>
                </xsl:element>
            </xsl:if>-->
        </xsl:element>
    </xsl:template>
</xsl:stylesheet>

